package base

import "git.fsdpf.net/go/contracts/res_type"

type GridLayoutField struct {
	Uuid            string                    `db:"uuid"`
	GridLayoutUuid  string                    `db:"grid_layout_uuid"` // 所属布局 UUID
	Type            string                    `db:"type"`
	X               int                       `db:"x"`
	Y               int                       `db:"y"`
	W               int                       `db:"w"`
	H               int                       `db:"h"`
	MinH            int                       `db:"minH"`
	MinW            int                       `db:"minW"`
	MaxH            int                       `db:"maxH"`
	MaxW            int                       `db:"maxW"`
	Code            string                    `db:"code"`
	Label           string                    `db:"label"`
	Widget          string                    `db:"widget"`
	WidgetPerfix    string                    `db:"widgetPerfix"`
	WidgetDecorator res_type.ResFieldByString `db:"widgetDecorator"`
	SubWidgets      res_type.ResFieldByAnys   `db:"subWidgets"`
	InitialValue    string                    `db:"initialValue"`
	Css             res_type.ResFieldByMap    `db:"css"`
	Extras          res_type.ResFieldByMap    `db:"extras"`
	Hidden          bool                      `db:"hidden"`
	IsVirtual       bool                      `db:"isVirtual"`
	UpdatedAt       string                    `db:"updated_at"`
	CreatedAt       string                    `db:"created_at"`
}

type GetGridLayoutField func(code string) (GridLayoutField, bool)
