package base

import (
	"git.fsdpf.net/go/contracts/res_type"
)

type ResApi struct {
	Uuid         string                  `db:"uuid"`
	Code         string                  `db:"code"`
	UriPrefix    string                  `db:"uri_prefix"`
	Name         string                  `db:"name"`
	PrimaryKey   string                  `db:"primaryKey"`
	ResourceUuid string                  `db:"resource_uuid"`
	Method       string                  `db:"method"`
	Category     string                  `db:"action"`
	Params       res_type.ResFieldByAnys `db:"params"`
	Roles        res_type.ResFieldByAnys `db:"roles"`
	IsAuthDB     int                     `db:"is_auth_db"` // 启用权限过滤
	UpdatedAt    string                  `db:"updated_at"`
	CreatedAt    string                  `db:"created_at"`
}

type GetResApi func(code string) (ResApi, bool)
